<?php
return array
(
	# 表名
	'name' => 'server',
	# 显示给用户看的名称
	'lang' => '服务器管理',
	# 后台菜单排序
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '服务器名称',
			'default' 	=> '',
			'desc' 		=> '请输入服务器名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'host'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '服务器地址',
			'default' 	=> '',
			'desc' 		=> '服务器地址',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'port'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '服务器端口号',
			'default' 	=> '',
			'desc' 		=> '服务器端口号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'username'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '用户名',
			'default' 	=> '',
			'desc' 		=> '用户名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'password'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '密码',
			'default' 	=> '',
			'desc' 		=> '密码',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'request' => array
	(
		
	),
);
