<?php
namespace Mqtt\Src;

use Dever;
use Mqtt\Lib\Core;

class Api
{
	public function __construct()
	{
		$id = Dever::input('id', 1);
		$server = Dever::db('mqtt/server')->one($id);
		$host = $server['host'];
		$port = $server['port'];
		$username = $server['username'];
		$password = $server['password'];
		$client_id = Dever::id();
		$this->server = new Core($host, $port, $client_id);

		if (!$this->server->connect(true, NULL, $username, $password)) {
			Dever::log($client_id . ' timeout');
			Dever::alert('timeout');
		}
	}

	public function pub($key, $value, $qos = 0)
	{
		$this->server->publish($key, $value, $qos);
		$this->server->close();
		return true;
	}

	public function sub($key, $function, $qos = 0)
	{
		$topics[$key] = array('qos' => $qos, 'function' => $function);
		$this->server->subscribe($topics, 0);
		while($this->server->proc()){

		}
		$this->server->close();
	}
}